package J20250724.demo03_file;

import java.io.File;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo03
 * @description
 * @create 2025/7/24
 */
public class Demo03 {
    public static void deleteDir(File src){
        //1、遍历文件路径里面的所有文件和文件夹
        File[] files = src.listFiles();
        for (File file:files){
            if (file.isFile()){
                file.delete();
            }else {
                deleteDir(file);
            }
        }
        //最终再把src的文件夹删除
        src.delete();
    }

    public static void main(String[] args) {
        File file=new File("D:/我的文件夹");
        deleteDir(file);
    }
}
